Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.dataaccess
Class WKTMarker

    java.lang.Object
      org.deegree.ogcwebservices.wms.dataaccess.WKTMarker

All Implemented Interfaces:
  ExternalDataAccess, ExternalVectorDataAccess

    public class WKTMarker

extends Object
implements ExternalVectorDataAccess

expects configuration like:

     # name of the feature type that will be created (important for style definition)
     FeatureType={http://www.deegree.org/app}:WKTType
     # name of the vendor specific GetMap parameter that shall be evaluated
     WKT=WKT

Version:
  $Revision: $, $Date: $
Author:
  Andreas Poth, last edited by: $Author: Andreas Poth $

Constructor Summary
`WKTMarker()`

Method Summary
`GetFeatureInfoResult` | `perform(GetFeatureInfo gfi)`
`BufferedImage` | `perform(GetLegendGraphic glg)`
`FeatureResult` | `perform(GetMap getMap)`
`void` | `setConfigurationFile(URL url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WKTMarker

    public WKTMarker()

Method Detail

### perform

    public FeatureResult perform(GetMap getMap)
                          throws Exception

  Specified by:
    `perform` in interface `ExternalVectorDataAccess`
  Returns:
    `FeatureResult` as result to passed `GetMap` request
  Throws:
    `Exception`

### perform

    public GetFeatureInfoResult perform(GetFeatureInfo gfi)

  Specified by:
    `perform` in interface `ExternalDataAccess`
  Returns:
    `GetFeatureInfoResult` as result to passed `GetFeatureInfo` request

### perform

    public BufferedImage perform(GetLegendGraphic glg)

  Specified by:
    `perform` in interface `ExternalDataAccess`
  Returns:
    `BufferedImage` as result to passed `GetLegendGraphic` request

### setConfigurationFile

    public void setConfigurationFile(URL url)
                              throws IOException

  Specified by:
    `setConfigurationFile` in interface `ExternalDataAccess`
  Parameters:
    `url` - URL containing configuration informations for data access
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org